Bug 164118 - Badness in dst.h multipath routing
Badness in dst.h multipath routing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-25 00:29 EDT by Matt Almond
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-26 18:14:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Almond 2005-07-25 00:29:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Every time I add a multipath route using the ip tools the system crashes and gives me a error in dst.h.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ip ro add default equalize nexthop via 152.30.60.254 dev eth1 weight 1 nexthop via 152.30.60.254 dev eth2 weight 1 ...
  

Actual Results:  System had heavy hard disk activity, then after 30 seconds or so it hung.  The exact error is:

Jul 25 06:21:06 bartpe-29610 kernel: Badness in dst_release at include/net/dst.h:154
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0339d17>] __kfree_skb+0x157/0x160
Jul 25 06:21:06 bartpe-29610 kernel:  [<c038f884>] arp_process+0xd4/0x540
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0122a77>] __wake_up+0xd7/0x180
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0339d30>] skb_clone+0x10/0x1e0
Jul 25 06:21:06 bartpe-29610 kernel:  [<c038fde8>] arp_rcv+0xf8/0x160
Jul 25 06:21:06 bartpe-29610 kernel:  [<de9f61f0>] stall_callback+0x0/0x3b0 [uhci_hcd]
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0341b6c>] netif_receive_skb+0x24c/0x340
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0341cd2>] process_backlog+0x72/0xf0
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0341e51>] net_rx_action+0x101/0x390
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0130df2>] __do_softirq+0x42/0xa0
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0106eee>] do_softirq+0x4e/0x60
Jul 25 06:21:06 bartpe-29610 kernel:  =======================
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0130f15>] irq_exit+0x35/0x40
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0106dbd>] do_IRQ+0x5d/0xa0
Jul 25 06:21:06 bartpe-29610 kernel:  [<c03bb318>] preempt_schedule_irq+0x48/0x70
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0104d9a>] common_interrupt+0x1a/0x20
Jul 25 06:21:06 bartpe-29610 kernel:  [<c026ca10>] acpi_processor_idle+0x0/0x24c
Jul 25 06:21:06 bartpe-29610 kernel:  [<c026cb00>] acpi_processor_idle+0xf0/0x24c
Jul 25 06:21:06 bartpe-29610 kernel:  [<c01010d4>] cpu_idle+0x34/0x50
Jul 25 06:21:06 bartpe-29610 kernel:  [<c04777ea>] start_kernel+0x16a/0x1d0
Jul 25 06:21:06 bartpe-29610 kernel:  [<c0477360>] unknown_bootoption+0x0/0x1e0


Expected Results:  a multipath route should have been created, and the system stay up...

Additional info:
Comment 1 Radek Vokal 2005-08-05 07:23:50 EDT
Hmm, didn't manage to reproduce same crash. From the output I asume it's more
kernel bug. May I have some comments from kernel people please?
Comment 2 Dave Jones 2005-08-05 18:24:35 EDT
which kernel version is this ?
Comment 3 Matt Almond 2005-08-06 16:46:36 EDT
2.6.11-1.1369_FC4
Also, it is in the kernel, when I disabled the multipath caching it no longer
crashed... experimental feature probably not needed in fedora core base kernel...
Comment 4 Matt Almond 2005-08-06 16:49:24 EDT
Sorry exact feature to disable is: IP_ROUTE_MULTIPATH_CACHED
Comment 5 Dave Jones 2005-08-26 18:14:38 EDT
This is fixed in the errata kernel.

Note You need to log in before you can comment on or make changes to this bug.